[llvm-commits] [polly] r141242 - /polly/trunk/utils/checkout_cloog.sh
Tobias Grosser
grosser at fim.uni-passau.de
Wed Oct 5 16:11:18 PDT 2011
Author: grosser
Date: Wed Oct 5 18:11:17 2011
New Revision: 141242
URL: http://llvm.org/viewvc/llvm-project?rev=141242&view=rev
Log:
checkout_cloog: Fix this script to run on our buildbot.
Modified:
polly/trunk/utils/checkout_cloog.sh
Modified: polly/trunk/utils/checkout_cloog.sh
URL: http://llvm.org/viewvc/llvm-project/polly/trunk/utils/checkout_cloog.sh?rev=141242&r1=141241&r2=141242&view=diff
==============================================================================
--- polly/trunk/utils/checkout_cloog.sh (original)
+++ polly/trunk/utils/checkout_cloog.sh Wed Oct 5 18:11:17 2011
@@ -13,21 +13,21 @@
}
check_cloog_directory() {
- if not [ -e ${CLOOG_DIR} ]
+ if ! [ -e ${CLOOG_DIR} ]
then
echo :: Directory "'${CLOOG_DIR}'" does not exists. Trying to create it.
- if not mkdir -p "${CLOOG_DIR}"
+ if ! mkdir -p "${CLOOG_DIR}"
then exit 1
fi
fi
- if not [ -d ${CLOOG_DIR} ]
+ if ! [ -d ${CLOOG_DIR} ]
then
echo "'${CLOOG_DIR}'" is not a directory
exit 1
fi
- if not [ -e "${CLOOG_DIR}/.git" ]
+ if ! [ -e "${CLOOG_DIR}/.git" ]
then
IS_GIT=0
echo ":: No git checkout found"
@@ -66,9 +66,8 @@
if [ ${IS_GIT} -eq 0 ]
then
echo :: Performing initial checkout
- run git clone git://repo.or.cz/cloog.git .
- run git submodule init
- run git submodule update
+ run git clone http://repo.or.cz/r/cloog.git .
+ run git clone http://repo.or.cz/r/isl.git isl
fi
echo :: Fetch versions required by Polly
@@ -77,6 +76,7 @@
run cd isl
run git remote update
run git reset --hard "${ISL_HASH}"
+run cd ..
echo :: Generating configure
run ./autogen.sh
More information about the llvm-commits
mailing list